# rainbow-submarine-test-3356

RainbowSubmarineTest3356 - the Ruby gem for the Smooch

No description provided (generated by Swagger Codegen https://github.com/swagger-api/swagger-codegen)

This SDK is automatically generated by the [Swagger Codegen](https://github.com/swagger-api/swagger-codegen) project:

- API version: 1.0.0
- Package version: 1.2.2
- Build package: io.swagger.codegen.languages.RubyClientCodegen

## Installation

### Build a gem

To build the Ruby code into a gem:

```shell
gem build rainbow-submarine-test-3356.gemspec
```

Then either install the gem locally:

```shell
gem install ./rainbow-submarine-test-3356-1.2.2.gem
```
(for development, run `gem install --dev ./rainbow-submarine-test-3356-1.2.2.gem` to install the development dependencies)

or publish the gem to a gem hosting service, e.g. [RubyGems](https://rubygems.org/).

Finally add this to the Gemfile:

    gem 'rainbow-submarine-test-3356', '~> 1.2.2'

### Install from Git

If the Ruby gem is hosted at a git repository: https://github.com/GIT_USER_ID/GIT_REPO_ID, then add the following in the Gemfile:

    gem 'rainbow-submarine-test-3356', :git => 'https://github.com/GIT_USER_ID/GIT_REPO_ID.git'

### Include the Ruby code directly

Include the Ruby code directly using `-I` as follows:

```shell
ruby -Ilib script.rb
```

## Getting Started

Please follow the [installation](#installation) procedure and then run the following code:
```ruby
# Load the gem
require 'rainbow-submarine-test-3356'

# Setup authorization
RainbowSubmarineTest3356.configure do |config|
  # Configure API key authorization: appToken
  config.api_key['app-token'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['app-token'] = 'Bearer'

  # Configure API key authorization: jwt
  config.api_key['Authorization'] = 'YOUR API KEY'
  # Uncomment the following line to set a prefix for the API key, e.g. 'Bearer' (defaults to nil)
  #config.api_key_prefix['Authorization'] = 'Bearer'
end

api_instance = RainbowSubmarineTest3356::AppUserApi.new

user_id = "user_id_example" # String | Identifies the user. Can be either the smoochId or the userId.

device_id = "device_id_example" # String | Id of the device.

app_user_device_update = RainbowSubmarineTest3356::DeviceUpdate.new # DeviceUpdate | Supported properties for an updateAppUserDevice request.


begin
  result = api_instance.app_user_device_update(user_id, device_id, app_user_device_update)
  p result
rescue RainbowSubmarineTest3356::ApiError => e
  puts "Exception when calling AppUserApi->app_user_device_update: #{e}"
end

```

## Documentation for API Endpoints

All URIs are relative to *https://api.smooch.io/v1*

Class | Method | HTTP request | Description
------------ | ------------- | ------------- | -------------
*RainbowSubmarineTest3356::AppUserApi* | [**app_user_device_update**](docs/AppUserApi.md#app_user_device_update) | **PUT** /appusers/{userId}/devices/{deviceId} | 
*RainbowSubmarineTest3356::AppUserApi* | [**delete_app_user_profile**](docs/AppUserApi.md#delete_app_user_profile) | **DELETE** /appusers/{userId}/profile | 
*RainbowSubmarineTest3356::AppUserApi* | [**get_app_user**](docs/AppUserApi.md#get_app_user) | **GET** /appusers/{userId} | 
*RainbowSubmarineTest3356::AppUserApi* | [**get_app_user_entity_ids**](docs/AppUserApi.md#get_app_user_entity_ids) | **GET** /appusers/{userId}/channels | 
*RainbowSubmarineTest3356::AppUserApi* | [**link_app_user**](docs/AppUserApi.md#link_app_user) | **POST** /appusers/{userId}/channels | 
*RainbowSubmarineTest3356::AppUserApi* | [**post_image_message**](docs/AppUserApi.md#post_image_message) | **POST** /appusers/{userId}/images | 
*RainbowSubmarineTest3356::AppUserApi* | [**pre_create_app_user**](docs/AppUserApi.md#pre_create_app_user) | **POST** /appusers | 
*RainbowSubmarineTest3356::AppUserApi* | [**track_event**](docs/AppUserApi.md#track_event) | **POST** /appusers/{userId}/events | 
*RainbowSubmarineTest3356::AppUserApi* | [**unlink_app_user**](docs/AppUserApi.md#unlink_app_user) | **DELETE** /appusers/{userId}/channels/{channel} | 
*RainbowSubmarineTest3356::AppUserApi* | [**update_app_user**](docs/AppUserApi.md#update_app_user) | **PUT** /appusers/{userId} | 
*RainbowSubmarineTest3356::ConversationApi* | [**get_messages**](docs/ConversationApi.md#get_messages) | **GET** /appusers/{userId}/messages | 
*RainbowSubmarineTest3356::ConversationApi* | [**reset_unread_count**](docs/ConversationApi.md#reset_unread_count) | **POST** /appusers/{userId}/conversation/read | 
*RainbowSubmarineTest3356::ConversationApi* | [**trigger_typing_activity**](docs/ConversationApi.md#trigger_typing_activity) | **POST** /appusers/{userId}/conversation/activity | 
*RainbowSubmarineTest3356::MenuApi* | [**delete_menu**](docs/MenuApi.md#delete_menu) | **DELETE** /menu | 
*RainbowSubmarineTest3356::MenuApi* | [**get_menu**](docs/MenuApi.md#get_menu) | **GET** /menu | 
*RainbowSubmarineTest3356::MenuApi* | [**update_menu**](docs/MenuApi.md#update_menu) | **PUT** /menu | 


## Documentation for Models

 - [RainbowSubmarineTest3356::AppUser](docs/AppUser.md)
 - [RainbowSubmarineTest3356::AppUserLink](docs/AppUserLink.md)
 - [RainbowSubmarineTest3356::AppUserPreCreate](docs/AppUserPreCreate.md)
 - [RainbowSubmarineTest3356::AppUserResponse](docs/AppUserResponse.md)
 - [RainbowSubmarineTest3356::AppUserUpdate](docs/AppUserUpdate.md)
 - [RainbowSubmarineTest3356::Client](docs/Client.md)
 - [RainbowSubmarineTest3356::ClientInfo](docs/ClientInfo.md)
 - [RainbowSubmarineTest3356::ClientResponse](docs/ClientResponse.md)
 - [RainbowSubmarineTest3356::Conversation](docs/Conversation.md)
 - [RainbowSubmarineTest3356::DeviceUpdate](docs/DeviceUpdate.md)
 - [RainbowSubmarineTest3356::Event](docs/Event.md)
 - [RainbowSubmarineTest3356::GetMessagesResponse](docs/GetMessagesResponse.md)
 - [RainbowSubmarineTest3356::Menu](docs/Menu.md)
 - [RainbowSubmarineTest3356::MenuItem](docs/MenuItem.md)
 - [RainbowSubmarineTest3356::MenuResponse](docs/MenuResponse.md)
 - [RainbowSubmarineTest3356::Message](docs/Message.md)
 - [RainbowSubmarineTest3356::MessageResponse](docs/MessageResponse.md)
 - [RainbowSubmarineTest3356::Postback](docs/Postback.md)
 - [RainbowSubmarineTest3356::TrackEventResponse](docs/TrackEventResponse.md)
 - [RainbowSubmarineTest3356::TypingActivityTrigger](docs/TypingActivityTrigger.md)


## Documentation for Authorization


### appToken

- **Type**: API key
- **API key parameter name**: app-token
- **Location**: HTTP header

### jwt

- **Type**: API key
- **API key parameter name**: Authorization
- **Location**: HTTP header

